Goal structures and enums
=========================


.. doxygenstruct:: libdnf::ResolveSpecSettings
    :members:

.. doxygenstruct:: libdnf::GoalJobSettings
    :members:

.. doxygenenum:: libdnf::ProblemRules

.. doxygenenum:: libdnf::GoalProblem

.. doxygenenum:: libdnf::GoalAction

.. doxygenenum:: libdnf::GoalSetting

.. doxygenenum:: libdnf::GoalUsedSetting
